Skip to main content
GET
/
v2
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
Query Pick List Position
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/wms/{warehouseId}/picklists/{picklistId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "picklistId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "quantity": 123,
    "priority": 123,
    "salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

warehouseId
string<uuid>
required

The id of the wms warehouse that the pick list belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

picklistId
string<uuid>
required

The id of the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns all pick lists positions for an given pick list.

id
string<uuid>

Id of the pick list position.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>

Id of the warehouse.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

picklistId
string<uuid>

Id of the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

storageLocationId
string<uuid>

Id of the storage location from where the pick should happen.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>

Id of the item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

quantity
number<decimal>

Quantity to pick.

status
enum<integer>

Status of the position.

Available options:
10,
11,
20,
30,
40
priority
integer<int32>

Priority of the position.

salesOrderLineItemId
string<uuid>

Id of the corresponding order position.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

createdAt
string<date-time>

Time when the pick list was created.